Bug 155816 - system freeze when using dm_crypt and aes_i586 on external firewire disk
system freeze when using dm_crypt and aes_i586 on external firewire disk
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-04-23 19:09 EDT by Andre
Modified: 2015-01-04 17:19 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-08-10 02:23:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
List of loaded modules before kernel panic (2.75 KB, text/plain)
2005-04-25 03:25 EDT, Andre
no flags Details

  None (edit)
Description Andre 2005-04-23 19:09:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
Three times now I've had system freezes while (or just after) accessing an external firewire drive which is using dm_crypt and aes encryption (my backup disk).  No log messages, can't ping machine, needs hard reset.  It looks very similar to the problem reported on this thread:
One freeze happened when I suspended a dd operation to the encrypted partition, the other two happened when I exited the root shell where I had been running backup operations (with rsync).  Interestingly the last time I was long finished with the backup, I had already unmounted the partition, removed the mapper entry and unplugged the disk maybe 30 minutes before but had left the root shell open in a Konsole.  I'm not sure how helpful this is, but seems like between 2.6.10 and 2.6.11 there was a bug introduced in one of the dm_crypt, aes, and/or loop modules.

Disclaimer:  I am using the nvidia 1.0-7174 driver, so my kernel is tainted.  But since other people are reporting similar problems with vanilla kernels, I don't think that is the issue.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Access an encrypted partition (dd/rsync) for some amount of time (both read and writes).  Suspend the process or exit the shell.  The kernel will sometimes hang.

Additional info:

loop                   16713  2
aes_i586               37825  1
dm_crypt               11977  1

Comment 1 Dave Jones 2005-04-24 21:10:06 EDT
unless you can reproduce this without the binary module, this isn't worth
investigating.  Please reopen if you can repeat this without having loaded that

Comment 2 Andre 2005-04-25 03:22:40 EDT
OK, I reproduced the problem (or at least a problem).  I rebooted with generic
nv driver, mounted my external drive, wrote about 60GB of data while trying
to reproduce the hang by suspending/resuming the process, etc. with no
luck.  I had just given up, and was rebooting the machine when I get a
kernel panic during shutdown:

  Kernel panic - not syncing: drivers/block/cfq-iosched.c:1065 spin_is_locked on
uninitialized spinlock f763001c. (Not tainted)

(That's all the information it printed on the screen).  After that I had to power
Comment 3 Andre 2005-04-25 03:25:37 EDT
Created attachment 113627 [details]
List of loaded modules before kernel panic
Comment 4 Dave Jones 2005-04-25 11:33:01 EDT
that should be fixed in the work-in-progress kernel at
Comment 5 Andre 2005-04-26 02:33:13 EDT
I really pounded it tonight using 2.6.11-1.19_FC3 and I could not reproduce
the problem (even while running with the nvidia drivers :-).  So looks like
it was fixed.  Thanks!
Comment 6 Dave Jones 2005-07-15 14:27:32 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 7 Andre 2005-08-10 01:06:12 EDT
I've done a full system backup with two different external firewire disks with
no problems running 2.6.12-1.1372_FC3 (still running fc3).  So from my point
of view this looks fixed.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.